Bug 1769727 - kexec fast reboot as a Technology Preview
Summary: kexec fast reboot as a Technology Preview
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 8.0
Assignee: Lucie Maňásková
QA Contact: RHEL DPM
Jaroslav Klech
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-07 10:13 UTC by Bhupesh Sharma
Modified: 2020-04-21 13:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
.`kexec fast reboot` as a Technology Preview The `kexec fast reboot` feature, continues to be available as a Technology Preview. Rebooting is now significantly faster thanks to `kexec fast reboot`. To use this feature, load the kexec kernel manually, and then reboot the operating system.
Clone Of:
Environment:
Last Closed: 2020-01-06 11:34:01 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Bhupesh Sharma 2019-11-07 10:13:22 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.1_release_notes/

Section Number and Name: Chapter 6. Technology Previews, Section 6.3. Kernel

Describe the issue:

kexec as a Technology Preview
-----------------------------

The kexec system call has been provided as a Technology Preview. This system call enables loading and booting into another kernel from the currently running kernel, thus performing the function of the boot loader from within the kernel. Hardware initialization, which is normally done during a standard system boot, is not performed during a kexec boot, which significantly reduces the time required for a reboot. 

kexec fast reboot as a Technology Preview
-----------------------------------------

The kexec fast reboot feature, continues to be available as a Technology Preview. kexec fast reboot makes the reboot significantly faster. To use this feature, you must load the kexec kernel manually, and then reboot the operating system. 

Suggestions for improvement: Add sections 'kexec as a Technology Preview' and 'kexec fast reboot as a Technology Preview' to the Release Notes 

Additional information:

Comment 2 Baoquan He 2019-11-21 06:41:04 UTC
Hi Bhupesh, Jaroslav

Talked with DaveY on IRC, he is worried that the 'kexec syscall call' saying could be misleading, to cause misunderstanding about the kexec fast reboot method to customers. Since here for kexec fast reboot, we use kexec_load/_file_load system calls to load kernel, then execute 'kexec -e' to call 'reboot' system call. People may wrongly think the kexec system call as kexec_load/_file_load. So how about we tune it as 'kexec fast reboot' directly?

Thanks
Baoquan


Note You need to log in before you can comment on or make changes to this bug.